> ## Documentation Index
> Fetch the complete documentation index at: https://operator.xyz/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List versions of a procedural agent



## OpenAPI

````yaml api-reference/openapi3.json get /procedural_agents/{id}/versions
openapi: 3.0.0
info:
  title: Operator API
  version: '2025-06-19'
  description: API for Operator
servers:
  - url: https://api.operator.xyz
security: []
paths:
  /procedural_agents/{id}/versions:
    get:
      tags:
        - Procedural agents
      summary: List versions of a procedural agent
      parameters:
        - name: Operator-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-06-19'
          description: The API version to use.
          example: '2025-06-19'
        - name: id
          in: path
          required: true
          schema:
            description: Unique identifier for the procedural agent, e.g. `pa_8qm9JBCiTe7`
            type: string
          description: Unique identifier for the procedural agent, e.g. `pa_8qm9JBCiTe7`
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                properties:
                  data:
                    description: List of versions for this procedural agent.
                    items:
                      $ref: '#/components/schemas/GetProceduralAgentVersion'
                      title: get.procedural.agent.version
                    type: array
                required:
                  - data
                type: object
        '404':
          description: The requested resource was not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  data: {}
      security:
        - BearerAuth: []
components:
  schemas:
    GetProceduralAgentVersion:
      properties:
        version_id:
          description: >-
            Version-specific identifier for the procedural agent instance, e.g.
            `pa_8qm9JBCiTe7@v0`
          type: string
        created_at:
          description: Timestamp when the procedural agent was created.
          format: date-time
          type: string
        updated_at:
          description: Timestamp when the procedural agent was last updated.
          format: date-time
          type: string
        name:
          description: Human-readable name for the procedural agent.
          type: string
        description:
          description: Description of the procedural agent.
          type: string
        version_status:
          description: >-
            Status of this procedural agent version: 'released', 'draft', or
            'archived'.
          enum:
            - released
            - draft
            - archived
          type: string
      required:
        - version_id
        - created_at
        - updated_at
        - name
        - description
        - version_status
      type: object
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````